### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sos.plugintools
import os

class mrggrid(sos.plugintools.PluginBase):
    """MRG GRID related information
    """
    def checkenabled(self):
        return os.path.exists("/etc/condor") or os.path.exists("/var/lib/condor")

    def setup(self):
        self.addCopySpec("/etc/condor")

        self.addCopySpec("/var/log/cumin")
        self.addCopySpec("/var/log/condor")

        self.addCopySpec("/var/lib/condor")
        self.addCopySpec("/var/lib/condor/spool/Accountantnew.log")
        self.addCopySpec("/var/lib/condor/spool/job_queue.log")
        self.collectExtOutput("/bin/ls -l /var/lib/condor/spool")

        self.collectExtOutput("/usr/bin/condor_config_val -dump")
        self.collectExtOutput("/usr/bin/condor_config_val -config")
        self.collectExtOutput("/usr/bin/condor_q")
        self.collectExtOutput("/usr/bin/condor_q -better-analyze -long")
        self.collectExtOutput("/usr/bin/condor_status")
        self.collectExtOutput("/usr/bin/condor_status -l")
        self.collectExtOutput("/usr/bin/condor_status -any")
        self.collectExtOutput("/usr/bin/condor_history")
        self.collectExtOutput("/usr/bin/condor_version")
        self.collectExtOutput("/usr/bin/qpid-stat -c")
        self.collectExtOutput("/usr/bin/wallaby inventory")
        self.collectExtOutput("/usr/bin/wallaby dump")
        return
